com.smartgwt.client.widgets.form.fields

## Class PickerIcon

- java.lang.Object
- - com.smartgwt.client.core.JsObject
  - - com.smartgwt.client.core.DataClass
    - - com.smartgwt.client.widgets.form.fields.FormItemIcon
      - - com.smartgwt.client.widgets.form.fields.PickerIcon

- All Implemented Interfaces:
    com.google.gwt.event.shared.HasHandlers, HasFormItemClickHandlers

      public class PickerIcon
      extends FormItemIcon

  Convenience class for setting pickers for form fields. This is a specialized subclass of FormItemIcon that sets up the correct picker dimensions and spacing.

  A set of standard pickers are provided as a part of the library.

  See Also:
    `FormItem.setIcons(FormItemIcon...)`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PickerIcon.Picker`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static PickerIcon.Picker` | `CLEAR`
    `static PickerIcon.Picker` | `COMBO_BOX`
    `static PickerIcon.Picker` | `DATE`
    `static PickerIcon.Picker` | `REFRESH`
    `static PickerIcon.Picker` | `SEARCH`

    - ### Fields inherited from class com.smartgwt.client.core.DataClass

      `factoryCreated, factoryProperties`

    - ### Fields inherited from class com.smartgwt.client.core.JsObject

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PickerIcon(PickerIcon.Picker icon)` Create a new HeaderControl with the specific icon.
    `PickerIcon(PickerIcon.Picker icon, FormItemClickHandler clickHandler)` Create a new HeaderControl with the specific icon.

  - ### Method Summary

    - ### Methods inherited from class com.smartgwt.client.widgets.form.fields.FormItemIcon

      `addFormItemClickHandler, equals, getBaseStyle, getDisableOnReadOnly, getHeight, getHspace, getIconPlacement, getName, getNeverDisable, getOrCreateRef, getPrompt, getShowFocused, getShowFocusedWithItem, getShowOver, getShowRTL, getSrc, getTabIndex, getWidth, hashCode, keyPress, setBaseStyle, setDisableOnReadOnly, setHeight, setHspace, setIconPlacement, setName, setNeverDisable, setPrompt, setShowFocused, setShowFocusedWithItem, setShowIfCondition, setShowOver, setShowRTL, setSrc, setTabIndex, setWidth`

    - ### Methods inherited from class com.smartgwt.client.core.DataClass

      `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

    - ### Methods inherited from class com.smartgwt.client.core.JsObject

      `getJsObj, isCreated, setJavaScriptObject, setJsObj`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

      `fireEvent`

- - ### Field Detail

    - #### CLEAR

          public static PickerIcon.Picker CLEAR

    - #### COMBO_BOX

          public static PickerIcon.Picker COMBO_BOX

    - #### DATE

          public static PickerIcon.Picker DATE

    - #### REFRESH

          public static PickerIcon.Picker REFRESH

    - #### SEARCH

          public static PickerIcon.Picker SEARCH

  - ### Constructor Detail

    - #### PickerIcon

          public PickerIcon(PickerIcon.Picker icon)

      Create a new HeaderControl with the specific icon.
      Parameters:
        `icon` - the icon

    - #### PickerIcon

          public PickerIcon(PickerIcon.Picker icon,
                    FormItemClickHandler clickHandler)

      Create a new HeaderControl with the specific icon.
      Parameters:
        `icon` - the icon
        `clickHandler` - the header control click handler